package com.dgtly.wxportal.utils.qywxutils.messageModel;

import org.springframework.beans.factory.annotation.Value;

/**
 * 企业微信信息  基础类
 *
 * {
 *    "touser" : "UserID1|UserID2|UserID3",
 *    "toparty" : "PartyID1|PartyID2",
 *    "totag" : "TagID1 | TagID2",
 *    "msgtype" : "text",
 *    "agentid" : 1,

 * }
 * touser	否	指定接收消息的成员，成员ID列表（多个接收者用‘|’分隔，最多支持1000个）。
 * 特殊情况：指定为”@all”，则向该企业应用的全部成员发送
 * toparty	否	指定接收消息的部门，部门ID列表，多个接收者用‘|’分隔，最多支持100个。
 * 当touser为”@all”时忽略本参数
 * totag	否	指定接收消息的标签，标签ID列表，多个接收者用‘|’分隔，最多支持100个。
 * 当touser为”@all”时忽略本参数
 * msgtype	是	消息类型，此时固定为：text
 * agentid	是	企业应用的id，整型。企业内部开发，可在应用的设置页面查看；第三方服务商，可通过接口 获取企业授权信息 获取该参数值
 */
public class QyWxBaseMessage {

    private String touser;
    private String toparty;
    private String totag;

    private String agentid;

    private String enable_id_trans="0";
    private String enable_duplicate_check = "0";
    private String duplicate_check_interval="1800";

    public String getTouser() {
        return touser;
    }

    public void setTouser(String... wxUserIds) {
        String temp ="";
        for(int i =0;i<wxUserIds.length;i++){
            temp+=wxUserIds[i];
            temp+="|";
        }
        if(temp.length()>0){
            temp =  temp.substring(0,temp.length()-1);
        }
        this.touser = temp;
    }

    public String getToparty() {
        return toparty;
    }

    public void setToparty(String... topartys) {
        String temp ="";
        for(int i =0;i<topartys.length;i++){
            temp+=topartys[i];
            temp+="|";
        }
        if(temp.length()>0){
            temp =  temp.substring(0,temp.length()-1);
        }
        this.toparty = temp;
    }

    public String getTotag() {
        return totag;
    }

    public void setTotag(String... totags) {
        String temp ="";
        for(int i =0;i<totags.length;i++){
            temp+=totags[i];
            temp+="|";
        }
        if(temp.length()>0){
            temp =  temp.substring(0,temp.length()-1);
        }
        this.totag = temp;
    }



    public String getAgentid() {
        return agentid;
    }

    public void setAgentid(String agentid) {
        this.agentid = agentid;
    }

    public String getEnable_id_trans() {
        return enable_id_trans;
    }

    public void setEnable_id_trans(String enable_id_trans) {
        this.enable_id_trans = enable_id_trans;
    }

    public String getEnable_duplicate_check() {
        return enable_duplicate_check;
    }

    public void setEnable_duplicate_check(String enable_duplicate_check) {
        this.enable_duplicate_check = enable_duplicate_check;
    }

    public String getDuplicate_check_interval() {
        return duplicate_check_interval;
    }

    public void setDuplicate_check_interval(String duplicate_check_interval) {
        this.duplicate_check_interval = duplicate_check_interval;
    }
}
